Bet Builder Authentication
These steps are intended for TRADE customers (technical users) to authenticate against Bet Builder services using API credentials.
Before proceeding, make sure you have your Client ID and Secret Key. If you don't have them yet, follow the API Token Generation Guide first.
Exchange API Credentials for Access & Refresh Tokens
Headers:
Content-Type: application/jsonBody:
{ "clientId": "<Client ID>", "secret": "<Secret Key>" }Response:
{ "expires": "<Thu, 22 May 2025 11:49:22 GMT>", "expiresIn": 1800, "accessToken": "<JWT access token>", "refreshToken": "<Refresh token>" }Notes:
accessToken
expiresIn= 30 minutes.refreshTokenlives for 7 days.
Refresh the Access Token
Headers:
Content-Type: application/jsonBody:
{ "refreshToken": "<Previous refreshToken>" }Response:
{ "expires": "<Thu, 22 May 2025 11:49:22 GMT>", "expiresIn": 1800, "accessToken": "<JWT access token>", "refreshToken": "<Refresh token>" }
Use the Access Token
For every API call to Bet Builder backend services, include the latest
accessTokenin theAuthorizationheader:Authorization: Bearer <accessToken>
Remember, the accessToken expires every 30 minutes.
Last updated
Was this helpful?